Bug 1762793 - Remove RHSM facts when unregistering
Summary: Remove RHSM facts when unregistering
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-17 13:49 UTC by Jonathon Turel
Modified: 2020-07-20 03:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791506 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28080 Normal Closed Remove RHSM facts when unregistering 2020-11-23 17:47:36 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:11 UTC

Description Jonathon Turel 2019-10-17 13:49:51 UTC
Since we don't remove RHSM(subscription-manager) facts when unregistering, this registration path is broken:

- register host.example.com
- unregister host.example.com
- change hostname to host-a.example.com
- attempt re-register

expected: success
actual: HTTP error (422 - Unknown): The DMI UUID of this host (<uuid>) matches other registered hosts: host.example.com

Comment 1 Jonathon Turel 2019-10-17 13:49:53 UTC
Created from redmine issue https://projects.theforeman.org/issues/28080

Comment 2 Jonathon Turel 2019-10-17 13:49:55 UTC
Upstream bug assigned to jturel@redhat.com

Comment 4 Bryan Kearney 2019-10-21 14:01:46 UTC
Upstream bug assigned to jturel@redhat.com

Comment 5 Bryan Kearney 2019-10-21 14:01:48 UTC
Upstream bug assigned to jturel@redhat.com

Comment 6 Bryan Kearney 2019-10-21 18:01:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28080 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.